Get all total compensation statement process jobs
get
/hcmRestApi/resources/11.13.18.05/totalCompensationStatementsProcesses
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds all statement processes that match the primary key criteria.
Finder Variables- ProcessId; integer; Unique identifier for the statement process.
- findByProcessesSearchQuery Finds all statement processes that match the specified criteria.
Finder Variables- ProcessId; integer; Request identifier of the statement process.
- ProcessName; string; Process name of the statement process.
- ProcessStatusCode; integer; Status code of the statement process.
- SubmissionDate; string; Submission date of the statement process.
- PrimaryKey Finds all statement processes that match the primary key criteria.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ElapsedTime; string; Elapsed time for the statement process.
- ProcessId; integer; Unique identifier of the statement process.
- ProcessName; string; Name of the statement process.
- ProcessStatusCode; integer; Process status code for the statement process.
- ProcessingMode; string; Processing mode for the statement process.
- Product; string; Product associated with the statement process.
- StatementId; integer; Statement identifier of the total compensation statement definition.
- StatementPeriodId; integer; Period identifier for the total compensation statement period.
- SubmissionDate; string; Submission date for the statement process.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : totalCompensationStatementsProcesses
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : totalCompensationStatementsProcesses-item-response
Type:
Show Source
object-
batchReportsDetails: array
Total Compensation Statement Batch Report Details
Title:
Total Compensation Statement Batch Report DetailsThe batchReportsDetails resource provides the ability to display total compensation statement reports details. -
batchReportsErrorDetails: array
Total Compensation Statement Batch Error Details
Title:
Total Compensation Statement Batch Error DetailsThe batchReportsErrorDetails resource provides the ability to display total compensation statement error details. -
batchReportsErrorSummary: array
Total Compensation Statement Batch Error Summaries
Title:
Total Compensation Statement Batch Error SummariesThe batchReportsErrorSummary resource provides the ability to display the total compensation error summary. -
batchReportsSummary: array
Total Compensation Statement Batch Report Summaries
Title:
Total Compensation Statement Batch Report SummariesThe batchReportsSummary resource provides the ability to display the total compensation statement error summary. -
childProcesses: array
Total Compensation Statement Child Processes
Title:
Total Compensation Statement Child ProcessesThe childProcesses resource provides the ability to display total compensation statement child processes. -
ElapsedTime: string
Read Only:
trueMaximum Length:27Elapsed time for the statement process. -
ElapsedTimeDays: string
Read Only:
trueElapsed days for the statement process. -
ElapsedTimeHours: string
Read Only:
trueElapsed hours for the statement process. -
ElapsedTimeMinutes: string
Read Only:
trueElapsed minutes for the statement process. -
ElapsedTimeSeconds: string
Read Only:
trueElapsed seconds for the statement process. -
ESSTaskId: integer
(int64)
Read Only:
trueUnique identifier of the task for the statement process. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ParentProcessId: integer
(int64)
Read Only:
trueParent process identifier for the statement process. -
ProcessEndTime: string
(date-time)
Read Only:
trueProcess end time for the statement process. -
ProcessId: integer
Read Only:
trueUnique identifier of the statement process. -
ProcessingMode: string
Read Only:
trueMaximum Length:80Processing mode for the statement process. -
ProcessName: string
Read Only:
trueMaximum Length:4000Name of the statement process. -
ProcessStartTime: string
(date-time)
Read Only:
trueProcess start time for the statement process. -
ProcessStatus: string
Read Only:
trueMaximum Length:80Process status for the statement process. -
ProcessStatusCode: integer
(int64)
Read Only:
trueProcess status code for the statement process. -
Product: string
Read Only:
trueMaximum Length:1000Product associated with the statement process. -
ScheduledTime: string
(date-time)
Read Only:
trueScheduled time for the statement process. -
StatementId: integer
(int64)
Read Only:
trueStatement identifier of the total compensation statement definition. -
StatementName: string
Read Only:
trueMaximum Length:255Name of the total compensation statement definition. -
StatementPeriodEndDate: string
(date)
Read Only:
trueEnd date for the total compensation statement period. -
StatementPeriodId: integer
(int64)
Read Only:
truePeriod identifier for the total compensation statement period. -
StatementPeriodName: string
Read Only:
trueMaximum Length:255Name of the compensation statement person period. -
StatementPeriodStartDate: string
(date)
Read Only:
trueStart date for the total compensation statement period. -
SubmissionDate: string
(date)
Read Only:
trueSubmission date for the statement process. -
SubmissionTime: string
(date-time)
Read Only:
trueSubmission time for the statement process.
Nested Schema : Total Compensation Statement Batch Report Details
Type:
arrayTitle:
Total Compensation Statement Batch Report DetailsThe batchReportsDetails resource provides the ability to display total compensation statement reports details.
Show Source
Nested Schema : Total Compensation Statement Batch Error Details
Type:
arrayTitle:
Total Compensation Statement Batch Error DetailsThe batchReportsErrorDetails resource provides the ability to display total compensation statement error details.
Show Source
Nested Schema : Total Compensation Statement Batch Error Summaries
Type:
arrayTitle:
Total Compensation Statement Batch Error SummariesThe batchReportsErrorSummary resource provides the ability to display the total compensation error summary.
Show Source
Nested Schema : Total Compensation Statement Batch Report Summaries
Type:
arrayTitle:
Total Compensation Statement Batch Report SummariesThe batchReportsSummary resource provides the ability to display the total compensation statement error summary.
Show Source
Nested Schema : Total Compensation Statement Child Processes
Type:
arrayTitle:
Total Compensation Statement Child ProcessesThe childProcesses resource provides the ability to display total compensation statement child processes.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : totalCompensationStatementsProcesses-batchReportsDetails-item-response
Type:
Show Source
object-
ErrorCode: string
Read Only:
trueMaximum Length:30Code indicating whether the error code is an error or warning. -
ErrorMessage: string
Read Only:
trueMaximum Length:600Error message for the statement process report details. -
LegalEntityId: integer
(int64)
Read Only:
trueUnique identifier of the legal entity. -
LegalEntityName: string
Read Only:
trueMaximum Length:240Name of the legal entity. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PersonId: integer
(int64)
Read Only:
truePerson identifier for the worker. -
PersonName: string
Read Only:
trueMaximum Length:240Name attribute of the person name. -
PersonNumber: string
Read Only:
trueMaximum Length:30Number of the person. -
PersonPeriodId: integer
(int64)
Read Only:
trueUnique identifier of the person period. -
PersonPeriodStatementId: integer
(int64)
Read Only:
trueUnique identifier of the statement person period. -
ProcessId: integer
Read Only:
trueUnique identifier of the statement process batch details. -
ReportDetailId: integer
(int64)
Read Only:
trueReport detail identifier of the statement process. -
SecurityAccessToUserFlag: boolean
Read Only:
trueIndicates whether security access to statement process is granted. -
StatementGeneratedFlag: boolean
Read Only:
trueMaximum Length:30Indicates whether statements were generated. -
StatementProcessed: string
Read Only:
trueMaximum Length:80Indicates whether statements were processed. -
StatementStatusCode: string
Read Only:
trueMaximum Length:30Status code of the total compensation statement definition. -
WorkerNumber: string
Read Only:
trueMaximum Length:30Unique worker number associated with a person.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : totalCompensationStatementsProcesses-batchReportsErrorDetails-item-response
Type:
Show Source
object-
CategoryName: string
Read Only:
trueMaximum Length:240Name of the category. -
ErrorCode: string
Read Only:
trueMaximum Length:30Code indicating whether the error code is an error or warning. -
ErrorDetailId: integer
(int64)
Read Only:
trueError detail identifier for the statement process. -
ErrorMessage: string
Read Only:
trueMaximum Length:600Error message for the statement process error details. -
ItemName: string
Read Only:
trueMaximum Length:240Name of the compensation item. -
LegalEntityId: integer
(int64)
Read Only:
trueUnique identifier of the legal entity. -
LegalEntityName: string
Read Only:
trueMaximum Length:240Name of the legal entity. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PersonId: integer
(int64)
Read Only:
truePerson identifier for the worker. -
PersonName: string
Read Only:
trueMaximum Length:240Name attribute of the person name. -
PersonNumber: string
Read Only:
trueMaximum Length:30Number of the person. -
ProcessId: integer
Read Only:
trueUnique identifier of the statement process error details.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : totalCompensationStatementsProcesses-batchReportsErrorSummary-item-response
Type:
Show Source
object-
CategoryId: integer
(int64)
Read Only:
trueUnique identifier for the category. -
CategoryName: string
Read Only:
trueMaximum Length:240Name of the category. -
ErrorCode: string
Read Only:
trueMaximum Length:30Code indicating whether the error code is an error or warning. -
ErrorDetailId: integer
Read Only:
trueError detail identifier for the statement process error summary. -
ErrorMessage: string
Read Only:
trueMaximum Length:600Error message for the statement process error summary. -
ErrorType: string
Read Only:
trueMaximum Length:30Type name indicating whether the error is an error or warning. -
ItemId: integer
(int64)
Read Only:
trueUnique identifier of the compensation item. -
ItemName: string
Read Only:
trueMaximum Length:240Name of the compensation item. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Occurrences: integer
Read Only:
trueNumber of times an error occurred in the statement process error summary. -
ProcessId: integer
(int64)
Read Only:
trueUnique identifier of the statement process error summary.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : totalCompensationStatementsProcesses-batchReportsSummary-item-response
Type:
Show Source
object-
EndDate: string
(date)
Read Only:
trueEnd date for the statement process. -
InterimEndDate: string
(date)
Read Only:
trueInterim end date for the statement process. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NoItemValuePersons: integer
(int64)
Read Only:
trueIndicates whether a person has no item values after the statement process. -
NumberOfPersonsError: integer
(int64)
Read Only:
trueNumber of errors for a person in the statement process report summary. -
NumberOfPersonsSuccess: integer
(int64)
Read Only:
trueIndicates number of persons in a successful status after the statement process. -
ProcessElapsedTime: string
Read Only:
trueMaximum Length:255Elapsed time for the statement process summary report. -
ProcessEndDate: string
(date)
Read Only:
trueProcess end date for the statement process summary. -
ProcessEndTime: string
Read Only:
trueMaximum Length:90Process end time for the statement process summary. -
ProcessId: integer
Read Only:
trueUnique identifier of the statement process report summary. -
ProcessStartDate: string
(date)
Read Only:
trueProcess start date for the statement process summary. -
ProcessStartTime: string
Read Only:
trueMaximum Length:90Process start time for the statement process summary. -
StartDate: string
(date)
Read Only:
trueStart date for the statement process. -
StatementId: integer
Read Only:
trueStatement identifier of the total compensation statement definition. -
StatementName: string
Read Only:
trueMaximum Length:255Name of the total compensation statement definition. -
StatementPeriodId: number
Read Only:
truePeriod identifier for the total compensation statement period. -
TotalPersonsProcessed: integer
(int64)
Read Only:
trueIndicates total number of persons in the statement process. -
TrialMode: string
Read Only:
trueMaximum Length:3Indicates whether trial mode was selected for the statement process.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : totalCompensationStatementsProcesses-childProcesses-item-response
Type:
Show Source
object-
ElapsedTime: string
Read Only:
trueMaximum Length:27Elapsed time for the child processes report. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ParentProcessId: integer
(int64)
Read Only:
trueUnique identifier of the parent statement process. -
ProcessId: integer
Read Only:
trueUnique identifier of the child statement process. -
ProcessingMode: string
Read Only:
trueMaximum Length:80Processing mode for the child statement process. -
ProcessName: string
Read Only:
trueMaximum Length:250Name of the child statement process. -
ProcessStatus: string
Read Only:
trueMaximum Length:80Process status for the child statement process. -
ProcessStatusCode: integer
(int64)
Read Only:
trueProcess status code for the child statement process. -
ScheduledTime: string
(date-time)
Read Only:
trueScheduled time for the child statement process. -
StatementId: string
Read Only:
trueMaximum Length:4000Statement identifier of the total compensation statement definition. -
StatementName: string
Read Only:
trueMaximum Length:255Name of the total compensation statement definition. -
StatementPeriodEndDate: string
(date)
Read Only:
trueEnd date for the total compensation statement period. -
StatementPeriodId: integer
(int64)
Read Only:
truePeriod identifier for the total compensation statement period. -
StatementPeriodStartDate: string
(date)
Read Only:
trueStart date for the total compensation statement period.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- findByAdvancedSearchQuery
-
Retrieves the generated statement processes that match the advanced search criteria.
- getRegenStmtLookupCode
-
Operation: /hcmRestApi/resources/11.13.18.05/totalCompensationStatementsProcesses/action/getRegenStmtLookupCodeRetrieves the regenerated statement lookup code based on the selection criteria.
- getStmtGeneratedAndPartialCounts
-
Retrieves the generated statements and counts to display in the details section.
- getTcsProcessParameters
-
Retrieves the process parameters for generated statements based on the selection criteria.